# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "camel-builder"
version = "0.7.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Fluent route builder API for rust-camel"
homepage = "https://github.com/kennycallado/rust-camel"
documentation = "https://docs.rs/camel-builder"
readme = "README.md"
keywords = [
    "camel",
    "integration",
    "messaging",
    "routing",
    "enterprise",
]
categories = [
    "network-programming",
    "asynchronous",
    "development-tools",
]
license = "Apache-2.0"
repository = "https://github.com/kennycallado/rust-camel"
resolver = "2"

[lib]
name = "camel_builder"
path = "src/lib.rs"

[[test]]
name = "canonical_spec_test"
path = "tests/canonical_spec_test.rs"

[[test]]
name = "log_eip_test"
path = "tests/log_eip_test.rs"

[dependencies.camel-api]
version = "=0.7.1"

[dependencies.camel-component-api]
version = "=0.7.1"

[dependencies.camel-core]
version = "=0.7.1"

[dependencies.camel-endpoint]
version = "=0.7.1"

[dependencies.camel-processor]
version = "=0.7.1"

[dependencies.tower]
version = "0.5"
features = ["util"]

[dev-dependencies.camel-component-direct]
version = "=0.7.1"

[dev-dependencies.camel-component-mock]
version = "=0.7.1"

[dev-dependencies.camel-component-timer]
version = "=0.7.1"

[dev-dependencies.tokio]
version = "1"
features = ["full"]
